Subject: bug#73752: 29.4; Ligatures are randomly rendered with extra spaces

From: Eli Zaretskii <[email-masked]>
Date: Mon, 28 Oct 2024 17:05:30 +0200

> Date: Mon, 28 Oct 2024 10:44:23 -0400
> Cc: [email-masked], [email-masked], [email-masked]
> From: Yixuan Chen <[email-masked]>
> 
> > Is
> > that extra space a real SPC glyph or is it just that the ligature is
> > considered "wider"?  What happens if you put the cursor on the ▷
> > ligature in the "bad" display -- does the block cursor then take up
> > all the space up to the next quote?
> 
> It's not a real SPC glyph. It's a single character ▷ (or ligature/glyph 
> I should call it? the underlying text is "|||>"). I attached five 
> screenshots, where the block cursor is at ", |, |, |, >, " respectively. 
> Noticeably, the block cursor for the first | character (1_bar.png) is 
> extra wide, and the block cursors for the following characters looks 
> offset from where they are.

According to the screenshots, it actually looks like it's a real SPC
glyph or something.  What does "C-u C-x =" show when the block cursor
is shown as below?

Actually, how about showing what "C-u C-x =" says in each of the 6
positions you show?  And then show what "C-u C-x =" says in the same 6
positions in the "good" display?